<?php

require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Envoyer la vidéo de solution</h1>
    </div>

<?php if (isset($new_video) && !$has_error) { ?>
    <div class="alert alert-success">
        Votre vidéo a bien été envoyée !
    </div>
<?php } ?>

<?php
if ($video !== null) {
	$link = $video->getLink();
	echo "<div class=\"alert alert-info\"><strong>Lien de la vidéo déjà envoyée :</strong> <a href=\"$link\">$link</a> (version " . $video->getVersion() . ")</div>\n";
	displayVideo($link);
	switch ($video->getValidation()) {
		case 0:
			echo "<div class=\"alert alert-warning\">La vidéo n'a pas encore été vérifiée par l'équipe d'organisation.</div>";
			break;
		case 1:
			echo "<div class=\"alert alert-success\">La vidéo a été acceptée par l'équipe d'organisation.</div>";
			break;
		case -1:
			echo "<div class=\"alert alert-danger\">La vidéo a été rejetée par l'équipe d'organisation.</div>";
			break;
	}
}
if ($video_validated != null && $video_validated->getId() != $video->getId()) {
	$link = $video_validated->getLink();
	echo "<hr />\n<div class=\"alert alert-info\">Lien de la dernière vidéo validée : <a href=\"$link\">$link</a></div>\n";
	displayVideo($link);
}
?>

    <hr/>

    <form method="POST">
        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="link">Lien de la vidéo à soumettre :</label>
                <input class="form-control" type="url" id="link" name="link"/>
            </div>
        </div>

        <input type="checkbox" name="valid_link" id="valid_link" required/> <label for="valid_link">Je
            confirme que le lien est valide</label><br/>

        <input type="checkbox" name="no_change" id="no_change" required/> <label for="no_change">Je m'engage
            à ne pas changer le contenu du lien et de la vidéo</label>

        <input class="btn btn-primary btn-lg btn-block" type="submit" name="upload" value="Envoyer la vidéo"/>
    </form>

<?php require_once "footer.php";